package body MSHTML.IHTMLElement5_Object is

   function getAttributeNode
     (This     : IHTMLElement5_Type;
      bstrName : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         IHTMLElement5_getAttributeNode,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => bstrName),
         Free);
   end getAttributeNode;

   function setAttributeNode
     (This  : IHTMLElement5_Type;
      pattr : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         IHTMLElement5_setAttributeNode,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pattr),
         Free);
   end setAttributeNode;

   function removeAttributeNode
     (This  : IHTMLElement5_Type;
      pattr : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         IHTMLElement5_removeAttributeNode,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pattr),
         Free);
   end removeAttributeNode;

   function hasAttribute
     (This : IHTMLElement5_Type;
      name : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         IHTMLElement5_hasAttribute,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => name),
         Free);
   end hasAttribute;

   procedure Put_role
     (This : IHTMLElement5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLElement5_Put_role,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_role;

   function Get_role
     (This : IHTMLElement5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLElement5_Get_role);
   end Get_role;

   procedure Put_ariaBusy
     (This : IHTMLElement5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLElement5_Put_ariaBusy,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_ariaBusy;

   function Get_ariaBusy
     (This : IHTMLElement5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLElement5_Get_ariaBusy);
   end Get_ariaBusy;

   procedure Put_ariaChecked
     (This : IHTMLElement5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLElement5_Put_ariaChecked,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_ariaChecked;

   function Get_ariaChecked
     (This : IHTMLElement5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLElement5_Get_ariaChecked);
   end Get_ariaChecked;

   procedure Put_ariaDisabled
     (This : IHTMLElement5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLElement5_Put_ariaDisabled,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_ariaDisabled;

   function Get_ariaDisabled
     (This : IHTMLElement5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLElement5_Get_ariaDisabled);
   end Get_ariaDisabled;

   procedure Put_ariaExpanded
     (This : IHTMLElement5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLElement5_Put_ariaExpanded,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_ariaExpanded;

   function Get_ariaExpanded
     (This : IHTMLElement5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLElement5_Get_ariaExpanded);
   end Get_ariaExpanded;

   procedure Put_ariaHaspopup
     (This : IHTMLElement5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLElement5_Put_ariaHaspopup,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_ariaHaspopup;

   function Get_ariaHaspopup
     (This : IHTMLElement5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLElement5_Get_ariaHaspopup);
   end Get_ariaHaspopup;

   procedure Put_ariaHidden
     (This : IHTMLElement5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLElement5_Put_ariaHidden,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_ariaHidden;

   function Get_ariaHidden
     (This : IHTMLElement5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLElement5_Get_ariaHidden);
   end Get_ariaHidden;

   procedure Put_ariaInvalid
     (This : IHTMLElement5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLElement5_Put_ariaInvalid,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_ariaInvalid;

   function Get_ariaInvalid
     (This : IHTMLElement5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLElement5_Get_ariaInvalid);
   end Get_ariaInvalid;

   procedure Put_ariaMultiselectable
     (This : IHTMLElement5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLElement5_Put_ariaMultiselectable,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_ariaMultiselectable;

   function Get_ariaMultiselectable
     (This : IHTMLElement5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLElement5_Get_ariaMultiselectable);
   end Get_ariaMultiselectable;

   procedure Put_ariaPressed
     (This : IHTMLElement5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLElement5_Put_ariaPressed,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_ariaPressed;

   function Get_ariaPressed
     (This : IHTMLElement5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLElement5_Get_ariaPressed);
   end Get_ariaPressed;

   procedure Put_ariaReadonly
     (This : IHTMLElement5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLElement5_Put_ariaReadonly,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_ariaReadonly;

   function Get_ariaReadonly
     (This : IHTMLElement5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLElement5_Get_ariaReadonly);
   end Get_ariaReadonly;

   procedure Put_ariaRequired
     (This : IHTMLElement5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLElement5_Put_ariaRequired,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_ariaRequired;

   function Get_ariaRequired
     (This : IHTMLElement5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLElement5_Get_ariaRequired);
   end Get_ariaRequired;

   procedure Put_ariaSecret
     (This : IHTMLElement5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLElement5_Put_ariaSecret,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_ariaSecret;

   function Get_ariaSecret
     (This : IHTMLElement5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLElement5_Get_ariaSecret);
   end Get_ariaSecret;

   procedure Put_ariaSelected
     (This : IHTMLElement5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLElement5_Put_ariaSelected,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_ariaSelected;

   function Get_ariaSelected
     (This : IHTMLElement5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLElement5_Get_ariaSelected);
   end Get_ariaSelected;

   function getAttribute
     (This             : IHTMLElement5_Type;
      strAttributeName : GNATCOM.Types.VARIANT;
      Free             : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         IHTMLElement5_getAttribute,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => strAttributeName),
         Free);
   end getAttribute;

   procedure setAttribute
     (This             : IHTMLElement5_Type;
      strAttributeName : GNATCOM.Types.VARIANT;
      AttributeValue   : GNATCOM.Types.VARIANT;
      Free             : Boolean := True)
   is
   begin
      Invoke
        (This,
         IHTMLElement5_setAttribute,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => AttributeValue,
          2 => strAttributeName),
         Free);
   end setAttribute;

   function removeAttribute
     (This             : IHTMLElement5_Type;
      strAttributeName : GNATCOM.Types.VARIANT;
      Free             : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         IHTMLElement5_removeAttribute,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => strAttributeName),
         Free);
   end removeAttribute;

   function Get_attributes
     (This : IHTMLElement5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLElement5_Get_attributes);
   end Get_attributes;

   procedure Put_ariaValuenow
     (This : IHTMLElement5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLElement5_Put_ariaValuenow,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_ariaValuenow;

   function Get_ariaValuenow
     (This : IHTMLElement5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLElement5_Get_ariaValuenow);
   end Get_ariaValuenow;

   procedure Put_ariaPosinset
     (This : IHTMLElement5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLElement5_Put_ariaPosinset,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_ariaPosinset;

   function Get_ariaPosinset
     (This : IHTMLElement5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLElement5_Get_ariaPosinset);
   end Get_ariaPosinset;

   procedure Put_ariaSetsize
     (This : IHTMLElement5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLElement5_Put_ariaSetsize,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_ariaSetsize;

   function Get_ariaSetsize
     (This : IHTMLElement5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLElement5_Get_ariaSetsize);
   end Get_ariaSetsize;

   procedure Put_ariaLevel
     (This : IHTMLElement5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLElement5_Put_ariaLevel,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_ariaLevel;

   function Get_ariaLevel
     (This : IHTMLElement5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLElement5_Get_ariaLevel);
   end Get_ariaLevel;

   procedure Put_ariaValuemin
     (This : IHTMLElement5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLElement5_Put_ariaValuemin,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_ariaValuemin;

   function Get_ariaValuemin
     (This : IHTMLElement5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLElement5_Get_ariaValuemin);
   end Get_ariaValuemin;

   procedure Put_ariaValuemax
     (This : IHTMLElement5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLElement5_Put_ariaValuemax,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_ariaValuemax;

   function Get_ariaValuemax
     (This : IHTMLElement5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLElement5_Get_ariaValuemax);
   end Get_ariaValuemax;

   procedure Put_ariaControls
     (This : IHTMLElement5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLElement5_Put_ariaControls,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_ariaControls;

   function Get_ariaControls
     (This : IHTMLElement5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLElement5_Get_ariaControls);
   end Get_ariaControls;

   procedure Put_ariaDescribedby
     (This : IHTMLElement5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLElement5_Put_ariaDescribedby,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_ariaDescribedby;

   function Get_ariaDescribedby
     (This : IHTMLElement5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLElement5_Get_ariaDescribedby);
   end Get_ariaDescribedby;

   procedure Put_ariaFlowto
     (This : IHTMLElement5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLElement5_Put_ariaFlowto,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_ariaFlowto;

   function Get_ariaFlowto
     (This : IHTMLElement5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLElement5_Get_ariaFlowto);
   end Get_ariaFlowto;

   procedure Put_ariaLabelledby
     (This : IHTMLElement5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLElement5_Put_ariaLabelledby,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_ariaLabelledby;

   function Get_ariaLabelledby
     (This : IHTMLElement5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLElement5_Get_ariaLabelledby);
   end Get_ariaLabelledby;

   procedure Put_ariaActivedescendant
     (This : IHTMLElement5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLElement5_Put_ariaActivedescendant,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_ariaActivedescendant;

   function Get_ariaActivedescendant
     (This : IHTMLElement5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLElement5_Get_ariaActivedescendant);
   end Get_ariaActivedescendant;

   procedure Put_ariaOwns
     (This : IHTMLElement5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLElement5_Put_ariaOwns,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_ariaOwns;

   function Get_ariaOwns
     (This : IHTMLElement5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLElement5_Get_ariaOwns);
   end Get_ariaOwns;

   function hasAttributes
     (This : IHTMLElement5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, IHTMLElement5_hasAttributes);
   end hasAttributes;

   procedure Put_ariaLive
     (This : IHTMLElement5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLElement5_Put_ariaLive,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_ariaLive;

   function Get_ariaLive
     (This : IHTMLElement5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLElement5_Get_ariaLive);
   end Get_ariaLive;

   procedure Put_ariaRelevant
     (This : IHTMLElement5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLElement5_Put_ariaRelevant,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_ariaRelevant;

   function Get_ariaRelevant
     (This : IHTMLElement5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLElement5_Get_ariaRelevant);
   end Get_ariaRelevant;

end MSHTML.IHTMLElement5_Object;

